<?php 



	/* Library settings */

	error_reporting(E_ALL & ~E_WARNING & ~E_NOTICE & ~E_DEPRECATED & ~E_STRICT);

	$path = realpath(dirname(__FILE__));

	define("CLASS_PATH", $path."/../clases/pChart/class"); 

	define("FONT_PATH", $path."/../clases/pChart/fonts"); 



	include($path."/../clases/pChart/class/pData.class.php");

	include($path."/../clases/pChart/class/pDraw.class.php");

	include($path."/../clases/pChart/class/pImage.class.php");



	// Instance data class

	$data = new pData();



	// Listar las categorias

	$lsc = $basedatos->loadObjectList("SELECT nombre, categoria_id FROM mto_categorias");



	$std = array();

	$obt = array();

	$c = array();



	foreach($lsc as $ct):



		$cat = $ct->categoria_id;



		// Contar las opciones por categoria

		$lst = $basedatos->loadObjectList("SELECT COUNT(*) AS total FROM svial_campos WHERE categoria_id='".$cat."' AND campo_id NOT IN(SELECT campo_id FROM svial_rta WHERE opcion_id='71' AND aplica_id='".$ap[0]->aplica_id."')");



		// Contar por categorias cuantas fueron respondidas con SI

		$lsu = $basedatos->loadObjectList("SELECT COUNT(*) AS total FROM svial_rta WHERE opcion_id='69' AND campo_id IN(SELECT campo_id FROM svial_campos WHERE categoria_id='".$cat."') AND aplica_id='".$ap[0]->aplica_id."'");



		// Obtener el promedio de los totales

		$calc = ($lsu[0]->total / $lst[0]->total);

		$calc = $calc * 100;

		$calc = round($calc,1);

		array_push($c, $ct->nombre);

		array_push($std,$lst[0]->total);

		array_push($obt,$lsu[0]->total);



		unset($lst,$lsu,$calc,$cat);



	endforeach;



	$data->addPoints($std,'ESTÁNDAR');

	$data->addPoints($obt,'OBTENIDO');

	$data->addPoints($c,'CATEGORÍAS');

	$data->setAxisName(0,"% cumplimiento");

	$data->setAbscissa("CATEGORÍAS");

	$data->loadPalette("palettes/light.color", TRUE);



	/* Create the pChart object */ 

	$w = 800;

	$h = 600;

	$myPicture = new pImage($w,$h,$data);



	/* Set the image map name */ 

	$myPicture->initialiseImageMap("ImageMapBarChart",IMAGE_MAP_STORAGE_FILE,"BarChart.labels","../tmp"); 



	/* Turn of Antialiasing */ 

	$myPicture->Antialias = FALSE; 



	/* Draw the background */ 

	//$Settings = array("R"=>170, "G"=>183, "B"=>87, "Dash"=>1, "DashR"=>190, "DashG"=>203, "DashB"=>107); 

	$Settings = array("R"=>255, "G"=>255, "B"=>255);

	$myPicture->drawFilledRectangle(0,0,$w,$h,$Settings); 



	/* Overlay with a gradient

	$Settings = array("StartR"=>219, "StartG"=>231, "StartB"=>139, "EndR"=>1, "EndG"=>138, "EndB"=>68, "Alpha"=>50); 

	$myPicture->drawGradientArea(0,0,$w,$h,DIRECTION_VERTICAL,$Settings);

	*/



	/* Add a border to the picture */ 

	//$myPicture->drawRectangle(0,0,$w,$h,array("R"=>0,"G"=>0,"B"=>0)); 



	/* Set the default font */ 

	$myPicture->setFontProperties(array("FontName"=>FONT_PATH."/Bedizen.ttf","FontSize"=>6)); 



	/* Define the chart area */ 

	$myPicture->setGraphArea(60,40,($w-60),($h-40)); 



	/* Draw the scale */ 

	$scaleSettings = array("GridR"=>200,"GridG"=>200,"GridB"=>200,"DrawSubTicks"=>TRUE,"CycleBackground"=>TRUE); 

	$myPicture->drawScale($scaleSettings); 



	/* Write the chart legend */

	$lgnx = ceil(($w/2) - (107/2));

	$lgny = $h-10;

	$myPicture->drawLegend($lgnx,$lgny,array("Style"=>LEGEND_NOBORDER,"Mode"=>LEGEND_HORIZONTAL)); 



	/* Turn on shadow computing */  

	$myPicture->setShadow(TRUE,array("X"=>1,"Y"=>1,"R"=>0,"G"=>0,"B"=>0,"Alpha"=>10)); 



	/* Draw the chart */ 

	$myPicture->setShadow(TRUE,array("X"=>1,"Y"=>1,"R"=>0,"G"=>0,"B"=>0,"Alpha"=>10)); 

	$Settings = array("RecordImageMap"=>TRUE); 

	$myPicture->drawBarChart($Settings); 



	/* Replace the labels of the image map */

	/*

	$Labels = array("Jan: 140","Feb: 0","Mar: 340","Apr: 300","May: 320","Jun: 300","Jul: 200","Aug: 100","Sep: 50"); 

	$myPicture->replaceImageMapValues("Server B", $Labels); 



	/* Repalce the titles of the image map

	$Titles = array("Jan 2k11","Feb 2k11","Mar 2k11","Apr 2k11","May 2k11","Jun 2k11","Jul 2k11","Aug 2k11","Sep 2k11"); 

	$myPicture->replaceImageMapTitle("Server A", "Second server"); 

	$myPicture->replaceImageMapTitle("Server B", $Titles);

	*/



	/* Render the picture (choose the best way) */

	ob_start();

	//header("Content-Type: image/png");

	imagepng($myPicture->Picture);

	$contents = ob_get_contents();

	ob_end_clean();



	echo '<img src="data:image/png;base64,'.base64_encode($contents).'">';



?>